<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Estatus
 *
 * @ORM\Table(name="estatus")
 * @ORM\Entity
 */
class Estatus
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_est", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideEst;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_est", type="string", length=50, nullable=false)
     */
    private $cveEst;

    /**
     * @var string
     *
     * @ORM\Column(name="des_est", type="string", length=100, nullable=false)
     */
    private $desEst;

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_est", type="integer", nullable=false)
     */
    private $tipEst;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;



    /**
     * Get ideEst
     *
     * @return integer
     */
    public function getIdeEst()
    {
        return $this->ideEst;
    }

    /**
     * Set cveEst
     *
     * @param string $cveEst
     *
     * @return Estatus
     */
    public function setCveEst($cveEst)
    {
        $this->cveEst = $cveEst;
    
        return $this;
    }

    /**
     * Get cveEst
     *
     * @return string
     */
    public function getCveEst()
    {
        return $this->cveEst;
    }

    /**
     * Set desEst
     *
     * @param string $desEst
     *
     * @return Estatus
     */
    public function setDesEst($desEst)
    {
        $this->desEst = $desEst;
    
        return $this;
    }

    /**
     * Get desEst
     *
     * @return string
     */
    public function getDesEst()
    {
        return $this->desEst;
    }

    /**
     * Set tipEst
     *
     * @param integer $tipEst
     *
     * @return Estatus
     */
    public function setTipEst($tipEst)
    {
        $this->tipEst = $tipEst;
    
        return $this;
    }

    /**
     * Get tipEst
     *
     * @return integer
     */
    public function getTipEst()
    {
        return $this->tipEst;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Estatus
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Estatus
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }
}
